
Redmine - Defect #9679

Subversion: 404 on diff of renamed files

2011-11-28 15:04 - Etienne Massip

Status: Closed Start date: 2011-11-28

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 1.2.2

Description

This can be turned into a Better handling of renamed item revision history FR but RM actually triggers a 404 where it should not:

Looking at a renamed file revision history, e.g. /app/views/issues/show.html.erb which has been renamed with r7043:

if you try to get r7043 diff, you'll get an empty page (weird, but not an error)

if you try to get a diff between a revision  > r7043 and any other revision you'll get a correct diff

if you try to get a diff between 2 revisions  < r7043 you'll get a 404

FR idea: insert some "File has been renamed from <XX>" after r7043 line.

The 404 is the bug.

Related issues:

Is duplicate of Redmine - Defect #2493: Subversion: Error message for some of... Confirmed 2009-01-12

History

#1 - 2013-03-24 20:16 - Filou Centrinov

I can not reproduce the problem. The following diff page of r7043 is not empty: http://www.redmine.org/projects/redmine/repository/revisions/7043/diff/

#2 - 2013-03-25 20:12 - Etienne Massip

I can totally reproduce. Just go to the history page, select both 7043 and previous revision 6732 and click on button at the bottom of the page.

And diff between 2 older revisions gives an ununderstandable 404.

#3 - 2013-03-25 21:24 - Filou Centrinov

I see. Revision 7241:6372 and Revision 7241:6326 are working, but Revision 6372:6326 shows an error 404.

#4 - 2013-03-25 23:09 - Etienne Massip

Filou Centrinov wrote:

I see. Revision 7241:6372 and Revision 7241:6326 are working, but Revision 6372:6326 shows an error 404.

 Exactly. And Revision 7043:6372 is empty.

#5 - 2013-03-26 23:57 - Toshi MARUYAMA

- Subject changed from 404 on diff of renamed files to Subversion: 404 on diff of renamed files

#6 - 2013-03-26 23:59 - Toshi MARUYAMA

- Status changed from Confirmed to Closed

Duplicate with #2493.

#7 - 2013-03-26 23:59 - Toshi MARUYAMA

- Resolution set to Duplicate

#8 - 2013-03-27 08:58 - Etienne Massip
- Target version deleted (Candidate for next minor release)
